GetbeelDocs

The account, company and API key making the request

GET
/me

Authorization

apiKey
headerAuthorizationBearer <token>

API key: gb_test_… or gb_live_…

Header Parameters

Getbeel-Company?string

Act on one of the account's client companies (its id from GET /companies) instead of the key's own account. 404 company_not_found when the key cannot act on it.

Formatuuid

Response Body

OK

application/json
  1. response
object*string
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
name*string
slug*string|null
company*|null
api_key*
Example Request
curl -X GET 'https://www.getbeel.com/api/v1/me'
Example Response
{  "object": "account",  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "slug": "string",  "company": {    "name": "string",    "vat_number": "string",    "codice_fiscale": "string",    "regime_fiscale": "RF01",    "country": "string",    "address": "string",    "street_number": "string",    "postal_code": "string",    "city": "string",    "province": "string",    "preferred_currency": "string",    "sdi_configured": true  },  "api_key": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "prefix": "gb_live_a1B2",    "mode": "test",    "scopes": [      "string"    ]  }}